/*

package com.web.api.config;

import com.alibaba.fastjson.JSON;
import lombok.extern.slf4j.Slf4j;
import org.java_websocket.client.WebSocketClient;
import org.java_websocket.drafts.Draft_6455;
import org.java_websocket.handshake.ServerHandshake;

import java.net.URI;
import java.net.URISyntaxException;
import java.util.LinkedHashMap;
import java.util.Map;


*/
/**
 * @author 王玉鹏
 * @version 1.0
 * @className socketTest
 * @description TODO
 * @date 2020/12/27 11:14
 *//*



@Slf4j
public class socketTest {
    public static void main(String[] args) {
        Map<String,Object> map = new LinkedHashMap<>(15);
        // 商品条码
        map.put("sku_id","FG7667GH7676");
        //承运商编码
        map.put("lc_id","YTO");
        //物流订单号
        map.put("l_id","YTO78784224122121");
        //订单号
        map.put("o_id","0B202012274454877");
        sendMessageToWebScoket(map);
    }
    private static void  sendMessageToWebScoket(Map<String,Object> map){
        long startTime = System.currentTimeMillis();
        WebSocketClient client = null;
        try {
            client = new WebSocketClient(new URI("ws://124.160.67.156:8064"),new Draft_6455()) {
                @Override
                public void onOpen(ServerHandshake serverHandshake) {
                    log.info("连接已正常打开");
                }
                @Override
                public void onMessage(String s) {
                    log.info("收到服务端传来消息：{}",s);
                }
                @Override
                public void onClose(int i, String s, boolean b) {
                    log.info("连接已关闭");
                }
                @Override
                public void onError(Exception e) {
                    log.error("发生错误已关闭,{}",e);
                }
            };
        } catch (URISyntaxException e) {
            log.error("程序异常,{}",e);
        }
        log.info("开始建立连接……");
        client.connect();
        log.info("Draft:{}",client.getDraft());
        while(!client.isOpen()){
            long openTime = System.currentTimeMillis();
            if (openTime-startTime>60000L){
                log.error("连接超时，连接时间大于60秒,耗时"+(openTime-startTime)+"豪秒");
                break;
            }else {
                log.info("连接中……，当前连接状态:"+client.getReadyState()+"耗时：{}",openTime-startTime);
            }
        }
        if (!client.isOpen()){
            log.error("连接超时，连接时间大于60秒");
            return;
        }
        log.info("连接websocket成功:{}",client.getReadyState());
        Map<String,Object> data = new LinkedHashMap<>(5);
        data.put("code",0);
        data.put("msg","");
        data.put("data",map);
        for (int i = 0; i < 3; i++) {
            if(i%2==0){
                data.put("code",0);
            }else {
                data.put("code",300);
            }
            log.info("发送订单信息：{}",JSON.toJSONString(data));
            client.send(JSON.toJSONString(data));
            log.info("第{}条……",i);
        }
        client.close();
        log.info("发送完毕,{}",client.getReadyState());
    }
}

*/
