package com.web.api.exception;

import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.Map;

/**
 * @author 王玉鹏
 * @version 1.0
 * @className GlobalDefultExceptionHandler
 * @description TODO
 * @date 2020/1/17 11:27
 */

@ControllerAdvice
public class GlobalDefultExceptionHandler {
    //声明要捕获的异常
    @ExceptionHandler(UnauthorizedException.class)
    @ResponseBody
    public Map<String,Object> defultExcepitonHandler(HttpServletResponse response, Exception e) {
        Map<String,Object> result = new HashMap<>();
        result.put("msg",e.getMessage());
        result.put("status",response.getStatus());
        return result;
    }
 }