package com.web.api.model.po;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.persistence.Id;
import javax.persistence.Transient;

/**
 * @author 王玉鹏
 * @version 1.0
 * @className InsuranceOrder
 * @description TODO
 * @date 2020/1/2 19:59
 */
@Data
@AllArgsConstructor
@ToString
@NoArgsConstructor
public class InsuranceOrder {
    @Id
    private String id;
    /**保险公司名称*/
    private String insuranceName;
    /**保险公司连接*/
    private String insuranceHref;
    /**险种名称*/
    private String insuranceType;
    /**客服咨询电话*/
    private String telephone;
    /**保单号*/
    private String orderNo;
    /**基本保障金额*/
    private String baseInsuranceMoney;
    /**意外医疗保险金额*/
    private String accidentInsuranceMoney;
    /**保费合计金额*/
    private String  insuranceMoney;
    /**保险开始时间*/
    private String  insuranceStartDate;
    /**保险结束时间*/
    private String insuranceEndDate;
    /**创建时间*/
    private String createTime;
    /**更新时间*/
    private String updateTime;
    /**附件1*/
    private String insuranceFilePath1;
    /**附件2*/
    private String insuranceFilePath2;
    /**附件3*/
    private String insuranceFilePath3;

    @Transient
    private String username;
    @Transient
    private String userId;

    public InsuranceOrder(String id) {
        this.id=id;
    }
}
