package com.web.api.model.po;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.persistence.Id;

/**
 * @author 王玉鹏
 * @version 1.0
 * @className User
 * @description TODO
 * @date 2018/12/25 15:50
 */
@Data
@AllArgsConstructor
@ToString
@NoArgsConstructor
public class SysUser {
    @Id
    private String userId;
    private String name;
    private Long iphone ;
    private String idNumber;
    private String password;
    /*** 用户类型：admin  person(个人)  enter(企业)*/
    private String type;
    private String companyName;
    private String address;
    private String postcode;
    private String organizationCode;
    private String email;
    private String description;
    private String loginDate;
    private String createDate;
    private String updateDate;

    public SysUser(String uername) {
        this.name=uername;
    }

}
