package com.web.api.utils;

import org.apache.commons.codec.digest.DigestUtils;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * @author 王玉鹏
 * @version 1.0
 * @className MD5Util
 * @description TODO
 * @date 2019/12/24 19:50
 */
public class MD5Util {

    // 带秘钥加密
    public static String md5(String text, String key) throws Exception {
        // 加密后的字符串
        String md5str = DigestUtils.md5Hex(text + key);
        System.out.println("MD5加密后的字符串为:" + md5str);
        return md5str;
    }

    // 不带秘钥加密
    public static String md52(String text) throws Exception {
        // 加密后的字符串
        String md5str = DigestUtils.md5Hex(text);
        System.out.println("MD52加密后的字符串为:" + md5str + "\t长度：" + md5str.length());
        return md5str;
    }
    /**
     * MD5验证方法
     *
     * @param text 明文
     * @param key 密钥
     * @param md5 密文
     */
    // 根据传入的密钥进行验证
    public static boolean verify(String text, String key, String md5) throws Exception {
        String md5str = md5(text, key);
        if (md5str.equalsIgnoreCase(md5)) {
            System.out.println("MD5验证通过");
            return true;
        }
        return false;
    }

    public static String encryptPassword(String username, String password) {

        try {
            // 第一次MD5加密
            MessageDigest md1 = MessageDigest.getInstance("MD5");
            md1.update(password.getBytes());
            byte[] digest1 = md1.digest();
            StringBuilder sb = new StringBuilder();
            for (byte b : digest1) {
                sb.append(String.format("%02x", b & 0xff));
            }
            String md5Password1 = sb.toString();

            // 拼接用户名、第一次MD5加密结果和固定字符串
            String concatenatedString = username + md5Password1 + "BJJX@&(@LONGGANG$^#*@&#";

            // 第二次MD5加密
            MessageDigest md2 = MessageDigest.getInstance("MD5");
            md2.update(concatenatedString.getBytes());
            byte[] digest2 = md2.digest();
            sb.setLength(0);
            for (byte b : digest2) {
                sb.append(String.format("%02x", b & 0xff));
            }
            String md5Password2 = sb.toString();

            // 返回最终的加密结果
            return md5Password2;

        } catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
        }

        return null; // 加密失败返回null
    }

    public static void main(String[] args) {
        String encryptedPassword = encryptPassword("34202122", "cg123456");
        System.out.println(encryptedPassword);
    }
}
